Skip to main content
GET
/
cabinet
/
admin
/
promo-offers
/
templates
List Templates
curl --request GET \
  --url https://api.example.com/cabinet/admin/promo-offers/templates \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": 123,
      "name": "<string>",
      "offer_type": "<string>",
      "message_text": "<string>",
      "button_text": "<string>",
      "valid_hours": 123,
      "discount_percent": 123,
      "bonus_amount_kopeks": 123,
      "is_active": true,
      "active_discount_hours": 123,
      "test_duration_hours": 123,
      "test_squad_uuids": [
        "<string>"
      ],
      "created_by": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

items
PromoOfferTemplateResponse · object[]
required